IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

The review object

Attributes

iduuid
booking_iduuid | null
bookings.id
organization_iduuid
organizations.id
source_idtext | null
created_attimestamp with time zone
updated_attimestamp with time zone
author_avatartext | null
author_nametext
contentMultiLanguageString
ftstsvector
ratinginteger | null
sourcetext
source_urltext | null
statusReviewStatus
The review object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "booking_id": "00000000-0000-0000-0000-000000000000",
  "organization_id": "00000000-0000-0000-0000-000000000000",
  "source_id": "",
  "created_at": "2026-03-12T05:09:02.881Z",
  "updated_at": "2026-03-12T05:09:02.881Z",
  "author_avatar": "",
  "author_name": "",
  "content": {
    "default": "Hello",
    "nl-NL": "Hallo"
  },
  "rating": 0,
  "source": "",
  "source_url": "",
  "status": "approved"
}

List reviews

Filters

idFilter<uuid>
booking_idFilter<uuid | null>
bookings.id
organization_idFilter<uuid>
organizations.id
source_idFilter<text | null>
created_atFilter<timestamp with time zone>
updated_atFilter<timestamp with time zone>
author_avatarFilter<text | null>
author_nameFilter<text>
contentFilter<MultiLanguageString>
ftsFilter<tsvector>
ratingFilter<integer | null>
sourceFilter<text>
source_urlFilter<text | null>
statusFilter<ReviewStatus>

Responses

200

A list of reviews with the selected columns

206

Partial Content

GET /reviews
curl -X GET "https://api.bookingmood.com/v1/reviews?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create reviews

Body

Partial<Review> | Array<Partial<Review>>

Responses

201

The newly created reviews with the selected columns

POST /reviews
curl -X POST "https://api.bookingmood.com/v1/reviews" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete reviews

Filters

idFilter<uuid>
booking_idFilter<uuid | null>
bookings.id
organization_idFilter<uuid>
organizations.id
source_idFilter<text | null>
created_atFilter<timestamp with time zone>
updated_atFilter<timestamp with time zone>
author_avatarFilter<text | null>
author_nameFilter<text>
contentFilter<MultiLanguageString>
ftsFilter<tsvector>
ratingFilter<integer | null>
sourceFilter<text>
source_urlFilter<text | null>
statusFilter<ReviewStatus>

Responses

204

The deleted reviews with the selected columns

DELETE /reviews
curl -X DELETE "https://api.bookingmood.com/v1/reviews" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update reviews

Filters

idFilter<uuid>
booking_idFilter<uuid | null>
bookings.id
organization_idFilter<uuid>
organizations.id
source_idFilter<text | null>
created_atFilter<timestamp with time zone>
updated_atFilter<timestamp with time zone>
author_avatarFilter<text | null>
author_nameFilter<text>
contentFilter<MultiLanguageString>
ftsFilter<tsvector>
ratingFilter<integer | null>
sourceFilter<text>
source_urlFilter<text | null>
statusFilter<ReviewStatus>

Body

Partial<Review>

Responses

204

The updated reviews with the selected columns

PATCH /reviews
curl -X PATCH "https://api.bookingmood.com/v1/reviews" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'